DCMTK - Bug #445

OFSTRINGSTREAM_GETSTR() can't handle embeded NULL bytes correctly

2012-09-19 13:38 - Uli Schlachter

Status: New

Priority: Low

Assignee:

Category: Library and Apps

Target version:
Module: all

Operating System:

Start date: 2012-09-19
Due date:

% Done: 0%
Estimated time: 0:00 hour
Compiler:

Description

This is not really a bug, but "lots of possible bugs".

For an example on how this can go wrong:

http://qit.dcmtk.org/web?p=dcmtk.git;a=commit;h=eaf92ddd89ffdba7a245e7{691e81e83e6f94 36

Suggested solution: Get rid of OFSTRINGSTREAM_GETSTR() and use OFSTRINGSTREAM_GETOFSTRING() everywhere

instead. Which sounds like lots of work.

History

#1 - 2013-10-10 17:35 - J6rg Riesmeier
- Category set to Library and Apps

- Module set to all

#2 - 2017-03-24 12:44 - Marco Eichelberg

- Target version set to 3.6.3

#3 - 2017-12-15 10:12 - J6rg Riesmeier
- Target version changed from 3.6.3 to 3.6.6

#4 - 2018-08-21 13:24 - Marco Eichelberg

Currently there are 103 occurences of OFSTRINGSTREAM_GETSTR in DCMTK public, and 14 more in the private modules.

#5 - 2020-05-25 13:28 - Michael Onken
- Target version deleted (3.6.6)
